> ## Documentation Index
> Fetch the complete documentation index at: https://docs.driver.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a session note

> Update an existing browser session. Currently supports updating the session note.



## OpenAPI

````yaml /api-reference/openapi.json patch /v1/browser/session
openapi: 3.0.0
info:
  version: 1.0.0
  title: Driver API
  description: API for interacting with the Driver.dev browser network.
  contact:
    name: Driver support
    email: alex@driver.dev
servers:
  - url: https://api.driver.dev
    description: Production
security: []
tags:
  - name: Sessions
  - name: Profiles
  - name: Account
  - name: Extensions
  - name: Pools
externalDocs:
  url: https://docs.driver.dev
  description: Driver documentation
paths:
  /v1/browser/session:
    patch:
      tags:
        - Sessions
      summary: Update a session note
      description: >-
        Update an existing browser session. Currently supports updating the
        session note.
      parameters:
        - schema:
            type: string
            example: example-session-id
            description: The ID of the browser session to update.
          required: true
          description: The ID of the browser session to update.
          name: sessionId
          in: query
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                note:
                  type: string
                  maxLength: 256
                  description: A note to attach to the session. Maximum 256 characters.
                  example: Scraping product pages for client X
              required:
                - note
      responses:
        '200':
          description: Successfully updated browser session.
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    description: Indicates whether the session was successfully updated.
                required:
                  - success
                example:
                  success: true
        '400':
          description: >-
            The session has ended ("Cannot update a terminal session") or the
            note is longer than 256 characters.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
        '401':
          description: Missing or invalid token.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Error message
                required:
                  - error
        '404':
          description: Browser session not found.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Session not found
                    example: Session not found
                required:
                  - error
        '500':
          description: Failed to update browser session.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Error message
                required:
                  - error
        '503':
          description: The session service is unavailable.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Error message
                    example: Session service unavailable
                required:
                  - error
      security:
        - Bearer: []
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      description: >-
        A workspace API key from Settings → API keys in the dashboard
        (https://app.driver.dev), sent as a bearer token.

````